Subject: 24.5; c++-mode font-lock broken by the last commit to emacs24 branch

From: Oleh Krehel <[email-masked]>
Date: Thu, 02 Apr 2015 08:55:58 +0200

Hello,

The font-locking of at least C++ headers was broken in "d69e9f1".
Here's a screenshot: http://i.imgur.com/eT6X3hP.png. You can see three
artifacts there. They change number and location when I scroll.

It goes back to a good state if I revert the commit and re-compile.
I hope this gets fixed by 24.5 release, even by just reverting
"d69e9f1", since this one is a bigger bug than
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19669, which "d69e9f1" fixes.

Oleh